package sklep.klient;

import java.util.List;

import sklep.generated.*;

public class Klient1_WszystkieProdukty {

	public static void main(String[] args) {
		System.out.println("Początek programu");
		
		SklepService service = new SklepService();
		Sklep sklep = service.getSklepPort();
		System.out.println("Mam obiekt: " + sklep);
		
		try {
			List<Product> produkty = sklep.odczytajWszystkieProdukty();
			System.out.println("\nOdczytano " + produkty.size() + " produktów:");
			for (Product product : produkty) {
				System.out.println(product.getName() + " za " + product.getPrice());
			}
			
		} catch (DBException_Exception e) {
			e.printStackTrace();
		}
	}

}
